Package org.firebirdsql.jdbc.parser

## Class JaybirdStatementModel

- java.lang.Object
- - org.firebirdsql.jdbc.parser.JaybirdStatementModel

    public class JaybirdStatementModel
    extends java.lang.Object

Simple model of the parsed statement. At the moment the original statement cannot be reconstructed from this model, but it should be possible when the parser is extended with the new functionality.

### Field Summary

Fields
`static int` `DELETE_TYPE`
`static int` `EXECUTE_TYPE` Deprecated.
`static int` `INSERT_TYPE`
`static int` `MAX_STATEMENT_TYPE_VALUE`
`static int` `MERGE_TYPE`
`static int` `UNDETECTED_TYPE`
`static int` `UPDATE_OR_INSERT_TYPE`
`static int` `UPDATE_TYPE`

### Constructor Summary

Constructors
`JaybirdStatementModel()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getStatementType()`
`java.lang.String` `getTableName()`
`boolean` `hasReturning()`
`void` `setHasReturning()`
`void` `setStatementType​(int statementType)`
`void` `setTableName​(java.lang.String tableName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### UNDETECTED_TYPE

    public static final int UNDETECTED_TYPE

See Also:
  Constant Field Values

#### INSERT_TYPE

    public static final int INSERT_TYPE

See Also:
  Constant Field Values

#### UPDATE_TYPE

    public static final int UPDATE_TYPE

See Also:
  Constant Field Values

#### DELETE_TYPE

    public static final int DELETE_TYPE

See Also:
  Constant Field Values

#### UPDATE_OR_INSERT_TYPE

    public static final int UPDATE_OR_INSERT_TYPE

See Also:
  Constant Field Values

#### EXECUTE_TYPE

    @Deprecated
    public static final int EXECUTE_TYPE

Deprecated.

See Also:
  Constant Field Values

#### MERGE_TYPE

    public static final int MERGE_TYPE

See Also:
  Constant Field Values

#### MAX_STATEMENT_TYPE_VALUE

    public static final int MAX_STATEMENT_TYPE_VALUE

See Also:
  Constant Field Values

### Constructor Detail

#### JaybirdStatementModel

    public JaybirdStatementModel()

### Method Detail

#### getStatementType

    public int getStatementType()

#### setStatementType

    public void setStatementType​(int statementType)

#### getTableName

    public java.lang.String getTableName()

#### setTableName

    public void setTableName​(java.lang.String tableName)

#### hasReturning

    public boolean hasReturning()

#### setHasReturning

    public void setHasReturning()